Fulfillment & ShippingZones
Create shipping zone
Creates a shipping zone from country, province, city, district, or postal-code selectors.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/shipping/zones" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "code": "POL-001", "name": "Envío estándar", "description": "Polo de algodón pima para uso diario.", "countryCodes": [ "Envío estándar" ], "provinceCodes": [ "Envío estándar" ], "cityNames": [ "Envío estándar" ], "districtNames": [ "Envío estándar" ], "postalCodes": [ "15074" ] }'{ "id": "7204558912004321806"}